OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LeafNode< ValueMask >::ValueOnIterator Class Reference

Visits all active values in a leaf node. More...

`#include <nanovdb/util/GridBuilder.h>`

Inheritance diagram for LeafNode< ValueMask >::ValueOnIterator:

## Public Member Functions
| ValueOnIterator ()
| ValueOnIterator (const LeafNode *parent)
ValueOnIterator & | operator= (const ValueOnIterator &)=default
bool | operator* () const
Coord | getCoord () const

## Detailed Description

Visits all active values in a leaf node.

## Constructor & Destructor Documentation

## ◆ ValueOnIterator() [1/2]

ValueOnIterator | ( |  | ) |
| inline

## ◆ ValueOnIterator() [2/2]

ValueOnIterator | ( | const LeafNode< ValueMask > * | parent | ) |
| inline

## Member Function Documentation

## ◆ getCoord()

Coord getCoord | ( |  | ) | const
| inline

## ◆ operator*()

bool operator* | ( |  | ) | const
| inline

## ◆ operator=()

ValueOnIterator & operator= | ( | const ValueOnIterator & |  | ) |
| default